#
# spec file for package emil
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           emil
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  ed
BuildRequires:  flex
License:        GPL-2.0+
Group:          Productivity/Networking/Email/Utilities
Version:        2.1.0beta9
Release:        968.3
Summary:        E-Mail Filter
Source:         ftp://ftp.uu.se/pub/unix/networking/mail/emil/emil-2.1.0-beta9.tar.gz
Patch:          emil-2.1.0-beta9.diff
Patch1:         ftp://ftp.uu.se/pub/unix/networking/mail/emil/emil-2.1.0-beta9.patch1
Patch2:         warn.patch
Patch3:         emil-2.1.0-beta9-flex.patch
Patch4:         emil-2.1.0-beta9-getline.patch
Patch5:         emil-2.1.0-beta9-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program enables you to convert MIME, SUN mailtool, and 'plain old
style RFC822'.

It is especially useful for elm users.

%prep
%setup -q -n emil-2.1.0-beta9
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf -fiv
%configure
make %{?_smp_mflags} SENDMAILPATH=/usr/sbin/sendmail

%install
%makeinstall

%files
%defattr(-,root,root)
/usr/bin/emil
%{_libdir}/charsets.cpl
%config %{_libdir}/emil.cf
%{_mandir}/man8/emil.8.gz
%{_mandir}/man8/emil.cf.8.gz

%changelog
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Tue Jun  2 2009 crrodriguez@suse.de
- fix build
* Thu Mar 29 2007 schwab@suse.de
- Add flex and bison to BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul  6 2005 schwab@suse.de
- Fix missing declarations.
* Fri Aug 27 2004 schwab@suse.de
- Fix for new flex.
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Thu Mar 25 2004 mmj@suse.de
- Fix sendmail path
* Fri Mar  5 2004 schwab@suse.de
- Remove fixed sized buffers.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug  1 2003 coolo@suse.de
- don't strip explictly
* Tue Apr 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sat Jan 26 2002 schwab@suse.de
- Fix for bison 1.32.
* Mon Sep 25 2000 schwab@suse.de
- Add group tag.
* Thu Jan 20 2000 schwab@suse.de
- /usr/man -> /usr/share/man
* Wed Sep 22 1999 schwab@suse.de
- buffer overflow fixes from Thomas
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 schwab@suse.de
- specfile cleanup
- apply patch from
  ftp://ftp.uu.se/pub/unix/networking/mail/emil/emil-2.1.0-beta9.patch1
* Fri Sep 25 1998 ro@suse.de
- moved initialisation of file* into main
* Thu Jan  2 1997 florian@suse.de
- Update auf neue Version 2.1.0-beta9.
